List Inputs
curl --request GET \
--url https://api.ontora.com/v1/projects/{project_id}/data/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ontora.com/v1/projects/{project_id}/data/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ontora.com/v1/projects/{project_id}/data/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"input_id": "<string>",
"input_type": "<string>",
"size_bytes": 123,
"source_name": "<string>",
"detected_format": "<string>",
"preview": {},
"status": "pending",
"created_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}data-input
List Inputs
List data inputs for a project.
GET
/
v1
/
projects
/
{project_id}
/
data
/
List Inputs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Unique identifier for this input
Type of input (file, url, paste, webhook)
Size of the input in bytes
Name of the data source
Detected format (if available)
Preview of the data
Processing status
Was this page helpful?
⌘I